nlohmann::basic_json::json_value Union Reference

a JSON value

`#include <json.hpp>`

## Public Member Functions

| json_value () noexcept=default
| default constructor (for null values) More...
| json_value (boolean_t v) noexcept
| constructor for booleans More...
| json_value (number_integer_t v) noexcept
| constructor for numbers (integer) More...
| json_value (number_float_t v) noexcept
| constructor for numbers (floating-point) More...
| json_value (value_t t)
| constructor for empty values of a given type More...
| json_value (const string_t &value)
| constructor for strings More...
| json_value (const object_t &value)
| constructor for objects More...
| json_value (const array_t &value)
| constructor for arrays More...

## Public Attributes

array_t * | array
| array (stored with pointer to save storage) More...
boolean_t | boolean
| boolean More...
number_float_t | number_float
| number (floating-point) More...
number_integer_t | number_integer
| number (integer) More...
object_t * | object
| object (stored with pointer to save storage) More...
string_t * | string
| string (stored with pointer to save storage) More...